using System.Runtime.CompilerServices;
using System.Runtime.InteropServices;
using System.Security;

namespace Decal.Interop.Core;

[ComImport]
[Guid("47761792-2520-4802-8548-5CA580697614")]
[SuppressUnmanagedCodeSecurity]
[InterfaceType(1)]
public interface IInjectService
{
	[DispId(1)]
	object Site
	{
		[MethodImpl(MethodImplOptions.InternalCall, MethodCodeType = MethodCodeType.Runtime)]
		[return: MarshalAs(UnmanagedType.IUnknown)]
		get;
	}

	[MethodImpl(MethodImplOptions.InternalCall, MethodCodeType = MethodCodeType.Runtime)]
	void InitPlugin([MarshalAs(UnmanagedType.IUnknown)] object pUnk);
}
